Package org.apache.sysds.runtime.instructions.fed

# Enum Class FEDInstruction.FederatedOutput

java.lang.Object
java.lang.Enum<FEDInstruction.FederatedOutput>
org.apache.sysds.runtime.instructions.fed.FEDInstruction.FederatedOutput

All Implemented Interfaces:
  `Serializable`, `Comparable<FEDInstruction.FederatedOutput>`, `Constable`

Enclosing class:
  FEDInstruction

public static enum FEDInstruction.FederatedOutput extends Enum<FEDInstruction.FederatedOutput>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FOUT`
`LOUT`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isForced()`
`boolean`
`isForcedFederated()`
`boolean`
`isForcedLocal()`
`static FEDInstruction.FederatedOutput`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FEDInstruction.FederatedOutput[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FOUT

public static final FEDInstruction.FederatedOutput FOUT

### LOUT

public static final FEDInstruction.FederatedOutput LOUT

### NONE

public static final FEDInstruction.FederatedOutput NONE

## Method Details

### values

public static FEDInstruction.FederatedOutput[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FEDInstruction.FederatedOutput valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isForcedFederated

public boolean isForcedFederated()

### isForcedLocal

public boolean isForcedLocal()

### isForced

public boolean isForced()